> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.gappify.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.gappify.com/_mcp/server.

# Create a new or update existing Vendors entries.

POST https://api.gappify.com/v1/vendors
Content-Type: application/json

Create a new or update existing Vendors entries with the provided data.

## Required Fields Summary

| Field              | Type    | Description                                                       |
| ------------------ | ------- | ----------------------------------------------------------------- |
| `source_system_id` | string  | Vendor/Supplier value to designate uniqueness for upsert purposes |
| `name`             | string  | Vendor/Supplier name                                              |
| `inactive`         | boolean | Determines if the Vendor/Supplier is active                       |

If using the **Insights Module**, the following fields are also required:

* `currency_id`
* `primary_subsidiary_id`

Reference: https://developers.gappify.com/api-reference/inbound-to-gappify/2/post

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.gappify.com/v1` (Production, default)
- `https://api.uat.gappifyinc.com/v1` (UAT)

## Request

### Body (application/json)

This endpoint expects a list of VendorsPostPayload.

- `list of VendorsPostPayload`

## Response

### 202

- `request_id` (UUID, required) — Unique identifier for the request
- `status` ("IN_PROGRESS", required) — Status of the request

## Errors

### 401 Unauthorized Error

- `message` (string, required) — The error message
- `success` (boolean, required)

### 422 Unprocessable Entity Error

- `message` (string, required) — The error message
- `errors` (string, required) — The error details

### 404 Not Found Error

- `list of string`

### 500 Internal Server Error

- `list of string`

## Types

### VendorsPostPayload

- `source_system_id` (string, required) — Vendor/Supplier value to designate uniqueness for upsert purposes, which will also be sent back in JE to the ERP system. This value will be used to match source data and perform upserts.
- `name` (string, required) — Vendor/Supplier name.
- `inactive` (boolean, required) — Determines if the Vendor/Supplier is active
- `created_by` (integer, optional) — Email of the user who created the object
- `last_modified_by` (integer, optional) — ID of the user who modified the object last.
- `email` (string, optional) — Vendor/Supplier Email+
- `primary_subsidiary_id` (string, optional) — The primary subsidiary associated with the Vendor/Supplier. This is the g_source_system_id of the Vendor/Supplier's assigned subsidiary - if applicable. When leveraged, manual accrual entries will default to the subsidiary
- `currency_id` (string, optional) — The primary currency id associated with this vendor/supplier. This is the g_source_system_id from source_coas.
- `cc_email` (string, optional) — Vendor/Supplier cc emails (multiple emails semicolon separate)
- `glaccount_debit_id` (string, optional) — Expense glaccount id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.
- `glaccount_credit_id` (string, optional) — Liability glaccount id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.
- `department_debit_id` (string, optional) — Expense department/cost center id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.
- `department_credit_id` (string, optional) — Liability department/cost center id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.
- `class_debit_id` (string, optional) — Expense class id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.
- `class_credit_id` (string, optional) — Liability class id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.
- `location_debit_id` (string, optional) — Expense location id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.
- `location_credit_id` (string, optional) — Liability location id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.
- `product_debit_id` (string, optional) — Expense product id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.
- `product_credit_id` (string, optional) — Liability product id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.
- `project_debit_id` (string, optional) — Expense project id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.
- `project_credit_id` (string, optional) — Liability project id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.
- `region_debit_id` (string, optional) — Expense region id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.
- `region_credit_id` (string, optional) — Liability region id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.
- `company_debit_id` (string, optional) — Expense company id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.
- `company_credit_id` (string, optional) — Liability company id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.
- `intercompany_debit_id` (string, optional) — Expense intercompany id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.
- `intercompany_credit_id` (string, optional) — Liability intercompany id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.
- `channel_debit_id` (string, optional) — Expense channel id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.
- `channel_credit_id` (string, optional) — Liability channel id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.

## Examples

**Request**

```json
[
  {
    "source_system_id": "source_system_id",
    "name": "name",
    "inactive": true
  },
  {
    "source_system_id": "source_system_id",
    "name": "name",
    "inactive": true
  }
]
```

**Response**

```json
{
  "request_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
  "status": "IN_PROGRESS"
}
```

**SDK Code**

```python
import requests

url = "https://api.gappify.com/v1/vendors"

payload = [
    {
        "source_system_id": "source_system_id",
        "name": "name",
        "inactive": True
    },
    {
        "source_system_id": "source_system_id",
        "name": "name",
        "inactive": True
    }
]
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.gappify.com/v1/vendors';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '[{"source_system_id":"source_system_id","name":"name","inactive":true},{"source_system_id":"source_system_id","name":"name","inactive":true}]'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.gappify.com/v1/vendors"

	payload := strings.NewReader("[\n  {\n    \"source_system_id\": \"source_system_id\",\n    \"name\": \"name\",\n    \"inactive\": true\n  },\n  {\n    \"source_system_id\": \"source_system_id\",\n    \"name\": \"name\",\n    \"inactive\": true\n  }\n]")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.gappify.com/v1/vendors")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n  {\n    \"source_system_id\": \"source_system_id\",\n    \"name\": \"name\",\n    \"inactive\": true\n  },\n  {\n    \"source_system_id\": \"source_system_id\",\n    \"name\": \"name\",\n    \"inactive\": true\n  }\n]"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.gappify.com/v1/vendors")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("[\n  {\n    \"source_system_id\": \"source_system_id\",\n    \"name\": \"name\",\n    \"inactive\": true\n  },\n  {\n    \"source_system_id\": \"source_system_id\",\n    \"name\": \"name\",\n    \"inactive\": true\n  }\n]")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.gappify.com/v1/vendors', [
  'body' => '[
  {
    "source_system_id": "source_system_id",
    "name": "name",
    "inactive": true
  },
  {
    "source_system_id": "source_system_id",
    "name": "name",
    "inactive": true
  }
]',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.gappify.com/v1/vendors");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "[\n  {\n    \"source_system_id\": \"source_system_id\",\n    \"name\": \"name\",\n    \"inactive\": true\n  },\n  {\n    \"source_system_id\": \"source_system_id\",\n    \"name\": \"name\",\n    \"inactive\": true\n  }\n]", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  [
    "source_system_id": "source_system_id",
    "name": "name",
    "inactive": true
  ],
  [
    "source_system_id": "source_system_id",
    "name": "name",
    "inactive": true
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.gappify.com/v1/vendors")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```